import { Story, Canvas, ArgsTable } from '@storybook/addon-docs/blocks'
import Accordion from "./section";
import { MDXGroup, MDXTitle } from "@constants/story"

# Accordion

This is accordion template, consist two dynamic component: Header & Content.
You are free to pass anyting to Header & Content.
Only 1 accordion can be display content. 
If you click on another accordion list, the one that display the content will be colapsed automatically.

<Meta 
  title={`${MDXGroup}/Accordion/${MDXTitle}`}
/>

## Default
```js
<Accordion key={1}>
  <div slot="header">
    Header
  </div>
  <div slot="content">
    Content
  </div>
</Accordion>
```
<Canvas>
  <Story name="Default" id="component-accordion--default" />
</Canvas>


## Simple Multiple
```js
<Accordion key={1}>
  <div slot="header">
    <div>Question</div>
  </div>
  <div slot="content">
    <div>Answer</div>
  </div>
</Accordion>
<hr />
<Accordion key={2}>
  <div slot="header">
    <div>Question2</div>
  </div>
  <div slot="content">
    <div>Answer2</div>
  </div>
</Accordion>
<hr />
```
<Canvas>
  <Story name="Simple Multiple" id="component-accordion--simple-multiple" />
</Canvas>